net.sf.jasperreports.engine.export.tabulator

## Class Tabulator.ParentDrop

- java.lang.Object
- - net.sf.jasperreports.engine.export.tabulator.Tabulator.ParentDrop

- All Implemented Interfaces:
    CellVisitor<FrameCell,Cell,java.lang.RuntimeException>
  Enclosing class:
    Tabulator

      protected class Tabulator.ParentDrop
      extends java.lang.Object
      implements CellVisitor<FrameCell,Cell,java.lang.RuntimeException>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Tabulator.ParentDrop()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FrameCell` | `droppedParent(FrameCell existingParent, FrameCell parent)`
    `Cell` | `visit(ElementCell cell, FrameCell parent)`
    `Cell` | `visit(FrameCell frameCell, FrameCell parent)`
    `Cell` | `visit(LayeredCell layeredCell, FrameCell parent)`
    `Cell` | `visit(SplitCell cell, FrameCell parent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tabulator.ParentDrop

          protected Tabulator.ParentDrop()

  - ### Method Detail

    - #### droppedParent

          protected FrameCell droppedParent(FrameCell existingParent,
                                FrameCell parent)

    - #### visit

          public Cell visit(ElementCell cell,
                   FrameCell parent)

      Specified by:
        `visit` in interface `CellVisitor<FrameCell,Cell,java.lang.RuntimeException>`

    - #### visit

          public Cell visit(SplitCell cell,
                   FrameCell parent)

      Specified by:
        `visit` in interface `CellVisitor<FrameCell,Cell,java.lang.RuntimeException>`

    - #### visit

          public Cell visit(FrameCell frameCell,
                   FrameCell parent)

      Specified by:
        `visit` in interface `CellVisitor<FrameCell,Cell,java.lang.RuntimeException>`

    - #### visit

          public Cell visit(LayeredCell layeredCell,
                   FrameCell parent)

      Specified by:
        `visit` in interface `CellVisitor<FrameCell,Cell,java.lang.RuntimeException>`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com